import { User } from './generated/prisma';
import { GraphqlAuthenticationAdapter, ID } from 'graphql-authentication';
export declare class GraphqlAuthenticationPrismaAdapter implements GraphqlAuthenticationAdapter {
    prismaContextName: string;
    constructor(options: {
        prismaContextName?: string;
    });
    private db;
    findUserById(ctx: object, id: ID, info?: any): Promise<User | null>;
    findUserByEmail(ctx: object, email: string, info?: any): Promise<User | null>;
    userExistsByEmail(ctx: object, email: string): Promise<boolean>;
    private createUser;
    createUserBySignup(ctx: object, data: any): Promise<User>;
    createUserByInvite(ctx: object, data: any): Promise<User>;
    private updateUser;
    updateUserConfirmToken(ctx: object, userId: ID, data: any): Promise<User | null>;
    updateUserLastLogin(ctx: object, userId: ID, data: any): Promise<User | null>;
    updateUserPassword(ctx: object, userId: ID, data: any): Promise<User | null>;
    updateUserResetToken(ctx: object, userId: ID, data: any): Promise<User | null>;
    updateUserInfo(ctx: object, userId: ID, data: any): Promise<User | null>;
    updateUserCompleteInvite(ctx: object, userId: ID, data: any): Promise<User | null>;
}
